petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscFunctionBeginUser

First executable line of user provided PETSc routine

### Synopsis

    #include <petscsys.h>
    void PetscFunctionBeginUser;

Not Collective

### Usage

         int something;

         PetscFunctionBeginUser;

### Notes

Final line of PETSc functions should be PetscFunctionReturn(0) except for main().

Not available in Fortran

This is identical to PetscFunctionBegin except it labels the routine as a user routine instead of as a PETSc library routine.

### See Also

PetscFunctionReturn(), PetscFunctionBegin, PetscFunctionBeginHot

### Level

intermediate

### Location

src/sys/error/../../../include/petscerror.h

### Examples

src/sys/classes/random/examples/tutorials/ex2.c.html
src/vec/is/sf/examples/tutorials/ex1.c.html
src/dm/impls/plex/examples/tutorials/ex2.c.html
src/dm/impls/plex/examples/tutorials/ex5.c.html
src/dm/examples/tutorials/ex3.c.html
src/dm/examples/tutorials/ex4.c.html
src/dm/examples/tutorials/ex15.c.html
src/ksp/ksp/examples/tutorials/ex3.c.html
src/ksp/ksp/examples/tutorials/ex25.c.html
src/ksp/ksp/examples/tutorials/ex27.c.html
src/ksp/ksp/examples/tutorials/ex28.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages